	.file	"kblib.c"
gcc2_compiled.:
___gnu_compiled_c:
.text
	.align 4
___gnu_calloc:
	pushl %ebp
	movl %esp,%ebp
	pushl %esi
	pushl %ebx
	movl 8(%ebp),%ebx
	movl 12(%ebp),%esi
	movl %esi,%eax
	testl %esi,%esi
	jne L2
	movl $1,%eax
L2:
	pushl %eax
	movl %ebx,%eax
	testl %ebx,%ebx
	jne L3
	movl $1,%eax
L3:
	pushl %eax
	call _calloc
	addl $8,%esp
	movl %eax,%edx
	movl %edx,%eax
	jmp L1
	.align 4,0x90
L1:
	leal -8(%ebp),%esp
	popl %ebx
	popl %esi
	movl %ebp,%esp
	popl %ebp
	ret
	.align 4
___gnu_malloc:
	pushl %ebp
	movl %esp,%ebp
	pushl %ebx
	movl 8(%ebp),%ebx
	movl %ebx,%eax
	testl %ebx,%ebx
	jne L5
	movl $1,%eax
L5:
	pushl %eax
	call _malloc
	addl $4,%esp
	movl %eax,%edx
	movl %edx,%eax
	jmp L4
	.align 4,0x90
L4:
	movl -4(%ebp),%ebx
	movl %ebp,%esp
	popl %ebp
	ret
	.align 4
.globl _reset_input_mode
_reset_input_mode:
	pushl %ebp
	movl %esp,%ebp
	pushl $_saved_attributes
	pushl $0
	pushl $0
	call _tcsetattr
	addl $12,%esp
L6:
	movl %ebp,%esp
	popl %ebp
	ret
	.align 4
.globl _set_input_mode
_set_input_mode:
	pushl %ebp
	movl %esp,%ebp
	subl $36,%esp
	pushl $0
	call _isatty
	addl $4,%esp
	movl %eax,%eax
	testl %eax,%eax
	jne L8
	jmp L7
	.align 4,0x90
L8:
	pushl $_saved_attributes
	pushl $0
	call _tcgetattr
	addl $8,%esp
	pushl $_reset_input_mode
	call _atexit
	addl $4,%esp
	leal -36(%ebp),%eax
	pushl %eax
	pushl $0
	call _tcgetattr
	addl $8,%esp
	andl $-11,-24(%ebp)
	movb $1,-13(%ebp)
	movb $0,-14(%ebp)
	leal -36(%ebp),%eax
	pushl %eax
	pushl $2
	pushl $0
	call _tcsetattr
	addl $12,%esp
L7:
	movl %ebp,%esp
	popl %ebp
	ret
	.align 4
.globl _Readch
_Readch:
	pushl %ebp
	movl %esp,%ebp
	subl $4,%esp
	pushl $1
	leal -1(%ebp),%eax
	pushl %eax
	pushl $0
	call _read
	addl $12,%esp
	movsbl -1(%ebp),%edx
	movl %edx,%eax
	jmp L9
	.align 4,0x90
L9:
	movl %ebp,%esp
	popl %ebp
	ret
	.align 4
.globl _init_keyb
_init_keyb:
	pushl %ebp
	movl %esp,%ebp
	call _set_input_mode
	xorl %eax,%eax
	jmp L10
	.align 4,0x90
L10:
	movl %ebp,%esp
	popl %ebp
	ret
	.align 4
.globl _close_keyb
_close_keyb:
	pushl %ebp
	movl %esp,%ebp
	xorl %eax,%eax
	jmp L11
	.align 4,0x90
L11:
	movl %ebp,%esp
	popl %ebp
	ret
	.align 4
.globl _intflag
_intflag:
	pushl %ebp
	movl %esp,%ebp
	xorl %eax,%eax
	jmp L12
	.align 4,0x90
L12:
	movl %ebp,%esp
	popl %ebp
	ret
.comm _saved_attributes,36
